import{s as Ft,n as Vt,o as St}from"../chunks/scheduler.85c25b89.js";import{S as qt,i as At,g as s,s as i,r as p,A as Qt,h as m,f as l,c as a,j as A,u as o,x as h,k as Yt,y as $,a as n,v as r,d,t as f,w as c}from"../chunks/index.c9837788.js";import{C as v}from"../chunks/CodeBlock.52fa569e.js";import{H as _t,E as Dt}from"../chunks/EditOnGithub.b65eee75.js";function Ot(Ut){let g,O,Q,K,y,tt,b,Wt="Before you start, you’ll need to setup your environment and install the appropriate packages. <code>timm</code> is tested on <strong>Python 3+</strong>.",et,w,lt,T,Lt='You should install <code>timm</code> in a <a href="https://docs.python.org/3/library/venv.html" rel="nofollow">virtual environment</a> to keep things tidy and avoid dependency conflicts.',nt,u,J,F,kt="Create and navigate to your project directory:",jt,M,xt,_,V,It="Start a virtual environment inside your directory:",Ct,j,Gt,x,S,Rt="Activate and deactivate the virtual environment with the following commands:",Ht,C,it,G,Zt="Once you’ve created your virtual environment, you can install <code>timm</code> in it.",at,H,st,U,zt="The most straightforward way to install <code>timm</code> is with pip:",mt,W,pt,L,Bt="Alternatively, you can install <code>timm</code> from GitHub directly to get the latest, bleeding-edge version:",ot,k,rt,I,Nt="Run the following command to check if <code>timm</code> has been properly installed:",dt,R,ft,Z,Et="This command lists the first five pretrained models available in <code>timm</code> (which are sorted alphebetically). You should see the following output:",ct,z,ht,B,$t,N,Pt="Building <code>timm</code> from source lets you make changes to the code base. To install from the source, clone the repository and install with the following commands:",ut,E,gt,P,Xt="Again, you can check if <code>timm</code> was properly installed with the following command:",vt,X,yt,Y,bt,D,wt;return y=new _t({props:{title:"Installation",local:"installation",headingTag:"h1"}}),w=new _t({props:{title:"Virtual Environment",local:"virtual-environment",headingTag:"h2"}}),M=new v({props:{code:"bWtkaXIlMjB+JTJGbXktcHJvamVjdCUwQWNkJTIwfiUyRm15LXByb2plY3Q=",highlighted:`<span class="hljs-built_in">mkdir</span> ~/my-project
<span class="hljs-built_in">cd</span> ~/my-project`,wrap:!1}}),j=new v({props:{code:"cHl0aG9uJTIwLW0lMjB2ZW52JTIwLmVudg==",highlighted:'python -m venv .<span class="hljs-built_in">env</span>',wrap:!1}}),C=new v({props:{code:"JTIzJTIwQWN0aXZhdGUlMjB0aGUlMjB2aXJ0dWFsJTIwZW52aXJvbm1lbnQlMEFzb3VyY2UlMjAuZW52JTJGYmluJTJGYWN0aXZhdGUlMEElMEElMjMlMjBEZWFjdGl2YXRlJTIwdGhlJTIwdmlydHVhbCUyMGVudmlyb25tZW50JTBBc291cmNlJTIwLmVudiUyRmJpbiUyRmRlYWN0aXZhdGU=",highlighted:`<span class="hljs-comment"># Activate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/activate

<span class="hljs-comment"># Deactivate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/deactivate`,wrap:!1}}),H=new _t({props:{title:"Using pip",local:"using-pip",headingTag:"h2"}}),W=new v({props:{code:"cGlwJTIwaW5zdGFsbCUyMHRpbW0=",highlighted:"pip install timm",wrap:!1}}),k=new v({props:{code:"cGlwJTIwaW5zdGFsbCUyMGdpdCUyQmh0dHBzJTNBJTJGJTJGZ2l0aHViLmNvbSUyRnJ3aWdodG1hbiUyRnB5dG9yY2gtaW1hZ2UtbW9kZWxzLmdpdA==",highlighted:"pip install git+https://github.com/rwightman/pytorch-image-models.git",wrap:!1}}),R=new v({props:{code:"cHl0aG9uJTIwLWMlMjAlMjJmcm9tJTIwdGltbSUyMGltcG9ydCUyMGxpc3RfbW9kZWxzJTNCJTIwcHJpbnQobGlzdF9tb2RlbHMocHJldHJhaW5lZCUzRFRydWUpJTVCJTNBNSU1RCklMjI=",highlighted:'python -c <span class="hljs-string">&quot;from timm import list_models; print(list_models(pretrained=True)[:5])&quot;</span>',wrap:!1}}),z=new v({props:{code:"JTVCJ2Fkdl9pbmNlcHRpb25fdjMnJTJDJTIwJ2JhdF9yZXNuZXh0MjZ0cyclMkMlMjAnYmVpdF9iYXNlX3BhdGNoMTZfMjI0JyUyQyUyMCdiZWl0X2Jhc2VfcGF0Y2gxNl8yMjRfaW4yMmsnJTJDJTIwJ2JlaXRfYmFzZV9wYXRjaDE2XzM4NCclNUQ=",highlighted:'[<span class="hljs-string">&#x27;adv_inception_v3&#x27;</span>, <span class="hljs-string">&#x27;bat_resnext26ts&#x27;</span>, <span class="hljs-string">&#x27;beit_base_patch16_224&#x27;</span>, <span class="hljs-string">&#x27;beit_base_patch16_224_in22k&#x27;</span>, <span class="hljs-string">&#x27;beit_base_patch16_384&#x27;</span>]',wrap:!1}}),B=new _t({props:{title:"From Source",local:"from-source",headingTag:"h2"}}),E=new v({props:{code:"Z2l0JTIwY2xvbmUlMjBodHRwcyUzQSUyRiUyRmdpdGh1Yi5jb20lMkZyd2lnaHRtYW4lMkZweXRvcmNoLWltYWdlLW1vZGVscy5naXQlMEFjZCUyMHB5dG9yY2gtaW1hZ2UtbW9kZWxzJTBBcGlwJTIwaW5zdGFsbCUyMC1lJTIwLg==",highlighted:`git <span class="hljs-built_in">clone</span> https://github.com/rwightman/pytorch-image-models.git
<span class="hljs-built_in">cd</span> pytorch-image-models
pip install -e .`,wrap:!1}}),X=new v({props:{code:"cHl0aG9uJTIwLWMlMjAlMjJmcm9tJTIwdGltbSUyMGltcG9ydCUyMGxpc3RfbW9kZWxzJTNCJTIwcHJpbnQobGlzdF9tb2RlbHMocHJldHJhaW5lZCUzRFRydWUpJTVCJTNBNSU1RCklMjI=",highlighted:'python -c <span class="hljs-string">&quot;from timm import list_models; print(list_models(pretrained=True)[:5])&quot;</span>',wrap:!1}}),Y=new Dt({props:{source:"https://github.com/huggingface/pytorch-image-models/blob/main/hfdocs/source/installation.mdx"}}),{c(){g=s("meta"),O=i(),Q=s("p"),K=i(),p(y.$$.fragment),tt=i(),b=s("p"),b.innerHTML=Wt,et=i(),p(w.$$.fragment),lt=i(),T=s("p"),T.innerHTML=Lt,nt=i(),u=s("ol"),J=s("li"),F=s("p"),F.textContent=kt,jt=i(),p(M.$$.fragment),xt=i(),_=s("li"),V=s("p"),V.textContent=It,Ct=i(),p(j.$$.fragment),Gt=i(),x=s("li"),S=s("p"),S.textContent=Rt,Ht=i(),p(C.$$.fragment),it=i(),G=s("p"),G.innerHTML=Zt,at=i(),p(H.$$.fragment),st=i(),U=s("p"),U.innerHTML=zt,mt=i(),p(W.$$.fragment),pt=i(),L=s("p"),L.innerHTML=Bt,ot=i(),p(k.$$.fragment),rt=i(),I=s("p"),I.innerHTML=Nt,dt=i(),p(R.$$.fragment),ft=i(),Z=s("p"),Z.innerHTML=Et,ct=i(),p(z.$$.fragment),ht=i(),p(B.$$.fragment),$t=i(),N=s("p"),N.innerHTML=Pt,ut=i(),p(E.$$.fragment),gt=i(),P=s("p"),P.innerHTML=Xt,vt=i(),p(X.$$.fragment),yt=i(),p(Y.$$.fragment),bt=i(),D=s("p"),this.h()},l(t){const e=Qt("svelte-u9bgzb",document.head);g=m(e,"META",{name:!0,content:!0}),e.forEach(l),O=a(t),Q=m(t,"P",{}),A(Q).forEach(l),K=a(t),o(y.$$.fragment,t),tt=a(t),b=m(t,"P",{"data-svelte-h":!0}),h(b)!=="svelte-1qm30ue"&&(b.innerHTML=Wt),et=a(t),o(w.$$.fragment,t),lt=a(t),T=m(t,"P",{"data-svelte-h":!0}),h(T)!=="svelte-1tspkue"&&(T.innerHTML=Lt),nt=a(t),u=m(t,"OL",{});var q=A(u);J=m(q,"LI",{});var Tt=A(J);F=m(Tt,"P",{"data-svelte-h":!0}),h(F)!=="svelte-1r7xizg"&&(F.textContent=kt),jt=a(Tt),o(M.$$.fragment,Tt),Tt.forEach(l),xt=a(q),_=m(q,"LI",{});var Jt=A(_);V=m(Jt,"P",{"data-svelte-h":!0}),h(V)!=="svelte-f9gewz"&&(V.textContent=It),Ct=a(Jt),o(j.$$.fragment,Jt),Jt.forEach(l),Gt=a(q),x=m(q,"LI",{});var Mt=A(x);S=m(Mt,"P",{"data-svelte-h":!0}),h(S)!=="svelte-1emagpr"&&(S.textContent=Rt),Ht=a(Mt),o(C.$$.fragment,Mt),Mt.forEach(l),q.forEach(l),it=a(t),G=m(t,"P",{"data-svelte-h":!0}),h(G)!=="svelte-1h1fnqh"&&(G.innerHTML=Zt),at=a(t),o(H.$$.fragment,t),st=a(t),U=m(t,"P",{"data-svelte-h":!0}),h(U)!=="svelte-1ofkc7p"&&(U.innerHTML=zt),mt=a(t),o(W.$$.fragment,t),pt=a(t),L=m(t,"P",{"data-svelte-h":!0}),h(L)!=="svelte-8jifzq"&&(L.innerHTML=Bt),ot=a(t),o(k.$$.fragment,t),rt=a(t),I=m(t,"P",{"data-svelte-h":!0}),h(I)!=="svelte-1gn5ojl"&&(I.innerHTML=Nt),dt=a(t),o(R.$$.fragment,t),ft=a(t),Z=m(t,"P",{"data-svelte-h":!0}),h(Z)!=="svelte-1o1qut7"&&(Z.innerHTML=Et),ct=a(t),o(z.$$.fragment,t),ht=a(t),o(B.$$.fragment,t),$t=a(t),N=m(t,"P",{"data-svelte-h":!0}),h(N)!=="svelte-5qedlp"&&(N.innerHTML=Pt),ut=a(t),o(E.$$.fragment,t),gt=a(t),P=m(t,"P",{"data-svelte-h":!0}),h(P)!=="svelte-tvmqyx"&&(P.innerHTML=Xt),vt=a(t),o(X.$$.fragment,t),yt=a(t),o(Y.$$.fragment,t),bt=a(t),D=m(t,"P",{}),A(D).forEach(l),this.h()},h(){Yt(g,"name","hf:doc:metadata"),Yt(g,"content",Kt)},m(t,e){$(document.head,g),n(t,O,e),n(t,Q,e),n(t,K,e),r(y,t,e),n(t,tt,e),n(t,b,e),n(t,et,e),r(w,t,e),n(t,lt,e),n(t,T,e),n(t,nt,e),n(t,u,e),$(u,J),$(J,F),$(J,jt),r(M,J,null),$(u,xt),$(u,_),$(_,V),$(_,Ct),r(j,_,null),$(u,Gt),$(u,x),$(x,S),$(x,Ht),r(C,x,null),n(t,it,e),n(t,G,e),n(t,at,e),r(H,t,e),n(t,st,e),n(t,U,e),n(t,mt,e),r(W,t,e),n(t,pt,e),n(t,L,e),n(t,ot,e),r(k,t,e),n(t,rt,e),n(t,I,e),n(t,dt,e),r(R,t,e),n(t,ft,e),n(t,Z,e),n(t,ct,e),r(z,t,e),n(t,ht,e),r(B,t,e),n(t,$t,e),n(t,N,e),n(t,ut,e),r(E,t,e),n(t,gt,e),n(t,P,e),n(t,vt,e),r(X,t,e),n(t,yt,e),r(Y,t,e),n(t,bt,e),n(t,D,e),wt=!0},p:Vt,i(t){wt||(d(y.$$.fragment,t),d(w.$$.fragment,t),d(M.$$.fragment,t),d(j.$$.fragment,t),d(C.$$.fragment,t),d(H.$$.fragment,t),d(W.$$.fragment,t),d(k.$$.fragment,t),d(R.$$.fragment,t),d(z.$$.fragment,t),d(B.$$.fragment,t),d(E.$$.fragment,t),d(X.$$.fragment,t),d(Y.$$.fragment,t),wt=!0)},o(t){f(y.$$.fragment,t),f(w.$$.fragment,t),f(M.$$.fragment,t),f(j.$$.fragment,t),f(C.$$.fragment,t),f(H.$$.fragment,t),f(W.$$.fragment,t),f(k.$$.fragment,t),f(R.$$.fragment,t),f(z.$$.fragment,t),f(B.$$.fragment,t),f(E.$$.fragment,t),f(X.$$.fragment,t),f(Y.$$.fragment,t),wt=!1},d(t){t&&(l(O),l(Q),l(K),l(tt),l(b),l(et),l(lt),l(T),l(nt),l(u),l(it),l(G),l(at),l(st),l(U),l(mt),l(pt),l(L),l(ot),l(rt),l(I),l(dt),l(ft),l(Z),l(ct),l(ht),l($t),l(N),l(ut),l(gt),l(P),l(vt),l(yt),l(bt),l(D)),l(g),c(y,t),c(w,t),c(M),c(j),c(C),c(H,t),c(W,t),c(k,t),c(R,t),c(z,t),c(B,t),c(E,t),c(X,t),c(Y,t)}}}const Kt='{"title":"Installation","local":"installation","sections":[{"title":"Virtual Environment","local":"virtual-environment","sections":[],"depth":2},{"title":"Using pip","local":"using-pip","sections":[],"depth":2},{"title":"From Source","local":"from-source","sections":[],"depth":2}],"depth":1}';function te(Ut){return St(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ae extends qt{constructor(g){super(),At(this,g,te,Ot,Ft,{})}}export{ae as component};
